package com.pwt.quartz.task;

import com.pwt.api.ChargerApi;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 定时任务调度测试
 *
 * @author ruoyi
 */
@Component("ryTask")
public class RyTask {
    @Autowired
    private ChargerApi chargerApi;

    public void charger1() {
        chargerApi.startCharge(1);
    }

    public void charger2() {
        chargerApi.startCharge(2);
    }

    public void charger3() {
        chargerApi.startCharge(3);
    }

    public void charger4() {
        System.out.println("#4充电机定时充电指令");
    }

    public void charger5() {
        System.out.println("#5充电机定时充电指令");
    }

    public void charger6() {
        System.out.println("#6充电机定时充电指令");
    }

    public void charger7() {
        System.out.println("#7充电机定时充电指令");
    }

    public void charger8() {
        System.out.println("#8充电机定时充电指令");
    }
}
